@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2008. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

setlocal

set START_DIR=%~dp0
set CURL="%START_DIR%\AQXurltool.exe"
set INTEGRATION_SERVICE=jazz/secure/service/com.ibm.rqm.integration.service.IIntegrationService
set DIRNAME=.
set SCRIPT_NAME=%0
set AREA=Quality+Manager

:getopt
if "%1"=="" goto doneopt
    if "%1" == "/h" goto usage
    if "%1" == "/H" goto usage
    if "%1" == "/?" goto usage
    if "%1"== "/S" (
         set SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/s" (
         set SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/U" (
         set USER=%2
         shift
         goto getopt
    )
    if "%1"== "/u" (
         set USER=%2
         shift
         goto getopt
    )
    if "%1"== "/P" (
         set PASSWORD=%2
         shift
         goto getopt
    )
    if "%1"== "/p" (
         set PASSWORD=%2
         shift
         goto getopt
    )
    if "%1"== "/T" (
         set TYPE=%2
         shift
         goto getopt
    )
    if "%1"== "/t" (
         set TYPE=%2
         shift
         goto getopt
    )
    if "%1"== "/A" (
         set AREA=%2
         shift
         goto getopt
    )
    if "%1"== "/a" (
         set AREA=%2
         shift
         goto getopt
    )
    if "%1"== "/F" (
         set XMLFILE=%2
         shift
         goto getopt
    )
    if "%1"== "/f" (
         set XMLFILE=%2
         shift
         goto getopt
    )
    if "%1"== "/N" (
         set ID=%2
         shift
         goto getopt
    )
    if "%1"== "/n" (
         set ID=%2
         shift
         goto getopt
    )
shift
goto getopt
:doneopt

if "%SERVER%" == "" goto usage
if "%USER%" == "" goto usage
if "%PASSWORD%" == "" goto usage
if "%TYPE%" == "" goto usage
if "%XMLFILE%" == "" goto usage

rem create a unique id for the artifact
if "%ID%" == "" (
    set ID=%TYPE%
    set ID=%ID%%RANDOM%
    set ID=%ID%%RANDOM%
    set ID=%ID%%RANDOM%
)

rem PUT the artifact
echo Importing file %XMLFILE% to location %SERVER%%INTEGRATION_SERVICE%/resources/%AREA%//%TYPE%/%ID%

call %CURL% -X PUT -u %USER%:%PASSWORD% -T %XMLFILE% %SERVER%%INTEGRATION_SERVICE%/resources/%AREA%/%TYPE%/%ID%

goto end

:usage
echo Usage: %SCRIPT_NAME% [options]
echo     /H          : show this help
echo     /S server   : RQM server. E.g. https://servername:9443/
echo     /U username : login username
echo     /P password : login password
echo     /A area     : project area. Default is Quality+Manager
echo     /T type     : type of resource.  E.g. testcase
echo     /F file     : XML file to import
goto end

:end
endlocal
